%ifnarch s390x
%bcond_without check
%endif
%global debug_package %{nil}

%global goipath         github.com/zeebo/blake3
Version:                0.2.3

%gometa

%global common_description %{expand:
Pure Go implementation of BLAKE3 with AVX2 and SSE4.1 acceleration.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Pure Go implementation of BLAKE3 with AVX2 and SSE4.1 acceleration

License:        CC0
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires
echo 'golang(github.com/zeebo/pcg)'

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.3-1
- initial build
